﻿using System;
using System.Windows;
using System.Windows.Controls;
using ThinkGeo.MapSuite.SilverlightEdition;
using ThinkGeo.MapSuite.SilverlightCore;

namespace SilverlightApplication {
    public partial class MainPage : UserControl {
        public MainPage() {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e) {
            Map1.MapUnit = GeographyUnit.DecimalDegree;

            ServerLayerOverlay serverLayerOverlay = new ServerLayerOverlay("NativeServer", "SilverlightMapConnector1");
            serverLayerOverlay.Name = "User Server Render";
            Map1.Overlays.Add(serverLayerOverlay);

            Map1.MapTools.OverlaySwitcher.IsEnabled = true;
            Map1.MapTools.OverlaySwitcher.MultipleSelectedOverlays.Add(serverLayerOverlay);

            Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
        }
    }
}
